@if (edit) {
  <div class="flex-row">
    <nz-date-picker
      class="generic-date-picker"
      [nzPlaceHolder]="placeHolder"
      [nzAutoFocus]="true"
      [nzAllowClear]="allowEmptyValue"
      [nzDisabledDate]="disabledDate"
      [nzShowTime]="showTime"
      [nzFormat]="format"
      [(ngModel)]="model"
      (ngModelChange)="confirm()"
      (blur)="cancel()"
    >
    </nz-date-picker>
    @if (mustShowButtons()) {
      <div class="flex-fixed-size">
        <button
          nz-button
          nzType="default"
          [nzSize]="size"
          [ngClass]="getCancelButtonCss()"
          [nzLoading]="pending"
          (click)="cancel()"
        >
          <i nz-icon [nzType]="'close'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.cancel' | translate | capitalize }}
          }
        </button>
      </div>
    }
  </div>
} @else {
  @if (value) {
    <span
      class="field-value-color"
      (click)="enableEditMode()"
      [class.editable]="editable"
    >
      {{ value | date: format : '' : getBrowserLanguage() }}
    </span>
  } @else {
    @if (editable) {
      <span
        class="sqtm-placeholder editable text-ellipsis"
        (click)="enableEditMode()"
      >
        {{ translateService.instant('sqtm-core.generic.editable.placeholder') }}
      </span>
    } @else {
      <span>-</span>
    }
  }
}
